
Redmine - Defect #19152

Issue Open Error

2015-02-23 10:22 - Sunho Cho

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.6.1

Description

Environment:

Redmine version                2.6.1.stable

Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version                  3.2.21

Environment                    production

Database adapter               SQLServer

SCM:

Subversion                     1.8.10

Git                            1.9.5

Filesystem

Redmine plugins:

no plugin installed

issue click after error..

Started GET "/redmine/issues/90" for 127.0.0.1 at 2015-02-23 18:07:03 +0900

Processing by IssuesController#show as HTML

Parameters: {"id"=>"90"}

Current user: 11059 (id=5)

Rendered issues/_action_menu.html.erb (16.0ms)

Rendered issue_relations/_form.html.erb (4.0ms)

Rendered issues/_relations.html.erb (8.0ms)

Rendered issues/_history.html.erb (5.0ms)

Rendered issues/show.html.erb within layouts/base (108.0ms)

Completed 500 Internal Server Error in 439.0ms

ActionView::Template::Error (undefined method `div' for nil:NilClass):

9:

10:     <% if journal.details.any? >

11:     <ul class="details">

12:       < details_to_strings(journal.visible_details).each do |string| >

13:        <li><= string ></li>

14:       < end %>

15:     </ul>

app/helpers/issues_helper.rb:306:in `show_detail'

app/helpers/issues_helper.rb:277:in `block in details_to_strings'

app/helpers/issues_helper.rb:263:in `each'

app/helpers/issues_helper.rb:263:in `details_to_strings'

app/views/issues/_history.html.erb:12:in `block in app_views_issues_history_html_erb__777544118_64277424'

app/views/issues/_history.html.erb:2:in `each'

app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb__777544118_64277424'

app/views/issues/show.html.erb:120:in `_app_views_issues_show_html_erb__472113127_60261312'

app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

app/controllers/issues_controller.rb:125:in `show'

History

#1 - 2015-03-10 07:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback
What version is your SQLServer?

And do you use clean sources?

I cannot see code which introduces "undefined method `div' for nil:NilClass"

at source:tags/2.6.1/app/helpers/issues_helper.rb#L306 .

#2 - 2015-08-23 17:00 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
